Bug 239432 - archivers/zstd error
Summary: archivers/zstd error
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-25 01:36 UTC by doctor
Modified: 2019-09-08 18:21 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description doctor 2019-07-25 01:36:44 UTC
seeing

building zstd with .lz4 compression support
cc -isystem /usr/local/include -I../lib -I../lib/common -I../lib/compress -I../lib/dictBuilder -DXXH_NAMESPACE=ZSTD_ -I../lib/legacy -DZSTD_MULTITHREAD -DZSTD_GZCOMPRESS -DZSTD_GZDECOMPRESS -DZSTD_LZMACOMPRESS -DZSTD_LZMADECOMPRESS -DZSTD_LZ4COMPRESS -DZSTD_LZ4DECOMPRESS -DZSTD_LEGACY_SUPPORT=5 -O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -DBACKTRACE_ENABLE=0   -fstack-protector-strong -L/usr/local/lib  -pthread -lz -llzma -llz4  ../lib/common/debug.c ../lib/common/entropy_common.c ../lib/common/error_private.c ../lib/common/fse_decompress.c ../lib/common/pool.c ../lib/common/threading.c ../lib/common/xxhash.c ../lib/common/zstd_common.c ../lib/compress/fse_compress.c ../lib/compress/hist.c ../lib/compress/huf_compress.c ../lib/compress/zstd_compress.c ../lib/compress/zstd_double_fast.c ../lib/compress/zstd_fast.c ../lib/compress/zstd_lazy.c ../lib/compress/zstd_ldm.c ../lib/compress/zstd_opt.c ../lib/compress/zstdmt_compress.c ../lib/decompress/huf_decompress.c ../lib/decompress/zstd_ddict.c ../lib/decompress/zstd_decompress.c ../lib/decompress/zstd_decompress_block.c ../lib/dictBuilder/cover.c ../lib/dictBuilder/divsufsort.c ../lib/dictBuilder/fastcover.c ../lib/dictBuilder/zdict.c ../lib/legacy/zstd_v05.c ../lib/legacy/zstd_v06.c ../lib/legacy/zstd_v07.c zstdcli.o util.o timefn.o fileio.o benchfn.o benchzstd.o datagen.o dibio.o  -o zstd  -fstack-protector-strong -L/usr/local/lib  -pthread -lz -llzma -llz4 
compiling static library
creating versioned links
gmake[3]: Leaving directory '/usr/ports/archivers/zstd/work/zstd-1.4.1/lib'
/usr/bin/ld: error: undefined symbol: lzma_alone_decoder
>>> referenced by fileio.c
>>>               fileio.o:(FIO_decompressSrcFile)

/usr/bin/ld: error: undefined symbol: lzma_stream_decoder
>>> referenced by fileio.c
>>>               fileio.o:(FIO_decompressSrcFile)

/usr/bin/ld: error: undefined symbol: lzma_code
>>> referenced by fileio.c
>>>               fileio.o:(FIO_decompressSrcFile)

/usr/bin/ld: error: undefined symbol: lzma_end
>>> referenced by fileio.c
>>>               fileio.o:(FIO_decompressSrcFile)

/usr/bin/ld: error: undefined symbol: lzma_lzma_preset
>>> referenced by fileio.c
>>>               fileio.o:(FIO_compressFilename_internal)

/usr/bin/ld: error: undefined symbol: lzma_alone_encoder
>>> referenced by fileio.c
>>>               fileio.o:(FIO_compressFilename_internal)

/usr/bin/ld: error: undefined symbol: lzma_easy_encoder
>>> referenced by fileio.c
>>>               fileio.o:(FIO_compressFilename_internal)

/usr/bin/ld: error: undefined symbol: lzma_code
>>> referenced by fileio.c
>>>               fileio.o:(FIO_compressFilename_internal)

/usr/bin/ld: error: undefined symbol: lzma_end
>>> referenced by fileio.c
>>>               fileio.o:(FIO_compressFilename_internal)
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[3]: *** [Makefile:173: zstd] Error 1
gmake[3]: Leaving directory '/usr/ports/archivers/zstd/work/zstd-1.4.1/programs'
gmake[2]: *** [Makefile:53: zstd-release] Error 2
gmake[2]: Leaving directory '/usr/ports/archivers/zstd/work/zstd-1.4.1'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/archivers/zstd
*** Error code 1

Stop.
make: stopped in /usr/ports/archivers/zstd

===>>> make build failed for archivers/zstd
===>>> Aborting update

===>>> Update for archivers/zstd failed
===>>> Aborting update

any pointers?
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-07-26 13:53:00 UTC
Do you have old version installed?
Comment 2 doctor 2019-07-26 20:14:56 UTC
IIRC I do before I install the new version
Comment 3 Igor Zabelin 2019-09-08 18:21:56 UTC
I saw this with the port installed lzmalib-0.0.1_1
There are no errors without this port.